clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::Sema::CodeCompleteExpressionData Struct Reference
Collaboration diagram for clang::Sema::CodeCompleteExpressionData:
[legend]

## Public Member Functions
| CodeCompleteExpressionData (QualType PreferredType=QualType(), bool IsParenthesized=false)

## Public Attributes
QualType | PreferredType
bool | IntegralConstantExpression
bool | ObjCCollection
bool | IsParenthesized
SmallVector< Decl *, 4 > | IgnoreDecls

## Detailed Description

Definition at line 4245 of file SemaCodeComplete.cpp.

## Constructor & Destructor Documentation

## ◆ CodeCompleteExpressionData()

clang::Sema::CodeCompleteExpressionData::CodeCompleteExpressionData | ( | QualType | PreferredType = `QualType()`,
|  | bool | IsParenthesized = `false`
| ) |  |
| inline

Definition at line 4246 of file SemaCodeComplete.cpp.

## Member Data Documentation

## ◆ IgnoreDecls

SmallVector<Decl *, 4> clang::Sema::CodeCompleteExpressionData::IgnoreDecls

Definition at line 4255 of file SemaCodeComplete.cpp.

Referenced by clang::Sema::CodeCompleteInitializer(), and clang::Sema::CodeCompleteObjCForCollection().

## ◆ IntegralConstantExpression

bool clang::Sema::CodeCompleteExpressionData::IntegralConstantExpression

Definition at line 4252 of file SemaCodeComplete.cpp.

Referenced by clang::Sema::CodeCompleteCase().

## ◆ IsParenthesized

bool clang::Sema::CodeCompleteExpressionData::IsParenthesized

Definition at line 4254 of file SemaCodeComplete.cpp.

## ◆ ObjCCollection

bool clang::Sema::CodeCompleteExpressionData::ObjCCollection

Definition at line 4253 of file SemaCodeComplete.cpp.

Referenced by clang::Sema::CodeCompleteObjCForCollection().

## ◆ PreferredType

QualType clang::Sema::CodeCompleteExpressionData::PreferredType

Definition at line 4251 of file SemaCodeComplete.cpp.

Referenced by clang::Sema::CodeCompleteInitializer().

The documentation for this struct was generated from the following file:

- lib/Sema/SemaCodeComplete.cpp